# Get Endpoint - GetOneDrivePreviewUrlById

Loads preview URL for the provided OneDrive item.

# HTTP Request

One of the following requests should be made:

GET /api/syncjobs/onedrive/item/preview/url

# Query parameters

Name Description
oneDriveId required. OneDrive id to which the item belongs for that the preview url should be loaded.
oneDriveFolderId optional. OneDrive id to which the item belongs for that the preview url should be loaded.
oneDriveItemId required. OneDrive item id for which the preview url should be loaded.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 OneDrive item preview url loaded successfully. string
400 Request contains invalid data.
401 If access is not allowed with the given credentials/data.
Zuletzt aktualisiert: 7. Februar 2025 um 08:35